[TinyMCE Extended] Traduction (Créer un compte)

  • Statut : non résolu
14 sujets de 1 à 14 (sur un total de 14)
  • Auteur
    Messages
  • #448756
    imported_BenKenobi
    Membre
    Padawan WordPress
    93 contributions

    J’ai installé ce plugin et je m’aperçois qu’il contient déjà des fichiers de traduction. Par contre ce ne sont pas des fichiers MO, mais des fichiers JS et sont disponible dans tous les dossiers que comprend le plugin dans des sous dossiers “langs”.

    Je ne parviens pas à les utiliser, l’éditeur reste toujours en anglais et je ne sais pas quoi faire pour que ces fichiers soient pris en compte.

    #580921
    benkenobi
    Gestionnaire du forum
    Maître WordPress
    4073 contributions

    Personne pour m’aider sur ce problème épineux ?

    #580922
    chsxf
    Participant
    Chevalier WordPress
    129 contributions

    La solution a ton problème est pê un peu épineuse.
    En l’occurence, le changement de langue dans TinyMCE s’applique dans le code Javascript à l’initialisation.
    Consulte la documentation sur le site de TinyMCE pour en savoir plus :
    http://tinymce.moxiecode.com/tinymce/docs/option_language.html

    #580923
    benkenobi
    Gestionnaire du forum
    Maître WordPress
    4073 contributions

    Merci à toi.
    Cependant il s’agit là de la doc de TinyMCE et non pas du plugin “Extended”… ceci dit il doit y avoir des similitudes mais je ne trouve pas le moyen de lui faire prendre en compte les fichiers fr de traduction…

    #580924
    floppy
    Participant
    Padawan WordPress
    55 contributions

    déjà, on le télécharge où?

    #580925
    chsxf
    Participant
    Chevalier WordPress
    129 contributions

    J’admets ne pas avoir essayé TinyMCE Extended, n’utilisant déjà pas le normal puisque posant des problèmes de compatibilité avec le couple Firefox / Norton Internet Security (certains formulaires comme l’éditeur de lien de TinyMCE ne marchent pas). Problèmes qui ne se posent pas avec Internet Explorer sur le même PC mais ça n’est pas le fond du problème. Passons.

    Ceci dit, l’aspect Extended de ce plugin doit surtout résider dans le thème appliqué à l’éditeur plus que dans le fondement du plugin lui-même qui doit être entièrement basé sur le code source de TinyMCE. Si je sais où le récupérer, alors je pourrais pê t’en dire plus. J’ai déjà installé plusieurs TinyMCE sur différents sites et tout marche très bien dans n’importe quelle langue. Je pense qu’il s’agit tout simplement d’un paramètre de configuration à changer dans le code Javascript.

    #580926
    benkenobi
    Gestionnaire du forum
    Maître WordPress
    4073 contributions

    A priori c’est ici : http://trac.labnotes.org/cgi-bin/trac.cgi/wiki/WPPlugin/AdvancedWysiwyg
    Mais c’est bizarre ca a du changer depuis la denrière fois que j’y suis allé… y a plus l’archive complète…

    #580927
    chsxf
    Participant
    Chevalier WordPress
    129 contributions

    Ok, je vois le truc
    En fait, TinyMCE Extended ne fait que rajouter des boutons et des plugins dans le TinyMCE existant auquel il ne touche absolument pas. Donc, la configuration de la langue doit se faire dans l’intégration du TinyMCE existant dans WordPress en standard. Je regarderai ça dans un moment.

    #580928
    benkenobi
    Gestionnaire du forum
    Maître WordPress
    4073 contributions

    Je ne suis toujours pas arrivé à faire fonctionner la traduction de ce plugin…

    #580929
    floppy
    Participant
    Padawan WordPress
    55 contributions

    Je viens de jeter un oeil et la plupart des petits outils n’ont que la langue anglaise en javascript. Et en fait, dans mon tiny extented, j’ai même pas de langue française en js..

    #580930
    livai
    Membre
    Initié WordPress
    29 contributions

    Salut,
    On dirait qu’il y a plus d’info ici http://www.mkbergman.com/?p=275

    Sinon, moi j’ai désactivé ces plugins. En téléchargeant la version 2.0.8 de Tiny avec la maj du dossier wordpress et du tiny_mce_gzip.php, je me retrouve avec la toute dernière version. J’avais trouvé la procédure sur le site de wordpress (ça concernait la version MU mais ça semble également fonctionner sur la version classique). Comme il existe un language package pour la 2.0.8 je crois que tu devrais aimer.

    Petite photo à l’appui

    tinyrq5.jpg

    A+

    Liv

    #580931
    benkenobi
    Gestionnaire du forum
    Maître WordPress
    4073 contributions

    Cette version 2.0.8 de TinyMCE, tu l’a s pris où ?

    #580932
    livai
    Membre
    Initié WordPress
    29 contributions
    #580933
    benkenobi
    Gestionnaire du forum
    Maître WordPress
    4073 contributions

    Bon tout fonctionnais bien… jusqu’a ce je mette le pack français… en le mettant, cela a eu pour effet de m’enlever carrément l’éditeur WYSIWYG… tinyMCE n’aime pas le français ou quoi ?

14 sujets de 1 à 14 (sur un total de 14)
  • Vous devez être connecté pour répondre à ce sujet.